Web lists-archives.com

Re: Debhelper compat levels




On Wed, May 22, 2019 at 02:06:03PM +0200, Simon Richter wrote:
> I just did a very annoying backport. The reason it was annoying was that
> two of the packages involved specified a debhelper compat level of 11.
> 
> So in order to do the backport, I first had to get debhelper 11 (or 12).
> 
> The debhelper 12 package itself has a compat level of 12, which means

echo "deb http://my-apt-box:3142/debian stretch-backports main" >>
	/srv/sbuild/stretch-amd64/etc/apt/sources.list

alias sbuild-bpo='sbuild -d stretch-backports -c stretch-amd64-sbuild --build-dep-resolver=aspcud'


That's all.  This work sucked but it has already been done by others.


Meow!
-- 
⢀⣴⠾⠻⢶⣦⠀ Latin:   meow 4 characters, 4 columns,  4 bytes
⣾⠁⢠⠒⠀⣿⡁ Greek:   μεου 4 characters, 4 columns,  8 bytes
⢿⡄⠘⠷⠚⠋  Runes:   ᛗᛖᛟᚹ 4 characters, 4 columns, 12 bytes
⠈⠳⣄⠀⠀⠀⠀ Chinese: 喵   1 character,  2 columns,  3 bytes <-- best!